Mirror Capability
C Reference » Production Nodes Functionality » Generator

## Functions

XN_C_API XnStatus XN_C_DECL | xnSetMirror (XnNodeHandle hInstance, XnBool bMirror)
XN_C_API XnBool XN_C_DECL | xnIsMirrored (XnNodeHandle hInstance)
XN_C_API XnStatus XN_C_DECL | xnRegisterToMirrorChange (XnNodeHandle hInstance, XnStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
XN_C_API void XN_C_DECL | xnUnregisterFromMirrorChange (XnNodeHandle hInstance, XnCallbackHandle hCallback)

## Detailed Description

The mirror capability (XN_CAPABILITY_MIRROR) allows mirroring of the data produced by a Generator. Mirroring is useful if the sensor is placed in front of the user (so that it sees the user right hand as the left one), but applications want user to get a more natural feeling of control.

## Function Documentation

## xnIsMirrored()

XN_C_API XnBool XN_C_DECL xnIsMirrored | ( | XnNodeHandle | hInstance | ) |

Gets current mirroring configuration.

Parameters

  hInstance | [in] A handle to the instance.

## xnRegisterToMirrorChange()

XN_C_API XnStatus XN_C_DECL xnRegisterToMirrorChange | ( | XnNodeHandle | hInstance,
|  | XnStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle * | phCallback )

Registers a callback function to mirror changes.

Parameters

  hInstance | [in] A handle to the instance.
  handler | [in] A pointer to a function that will be called when mirror changes.
  pCookie | [in] A user cookie that will be passed to the callback function.
  phCallback | [out] Optional. Will be filled with a handle to be passed to xnUnregisterFromMirrorChange().

## xnSetMirror()

XN_C_API XnStatus XN_C_DECL xnSetMirror | ( | XnNodeHandle | hInstance,
|  | XnBool | bMirror )

Sets current mirror configuration.

Parameters

  hInstance | [in] A handle to the instance.
  bMirror | [in] TRUE for mirroring output, FALSE otherwise.

## xnUnregisterFromMirrorChange()

XN_C_API void XN_C_DECL xnUnregisterFromMirrorChange | ( | XnNodeHandle | hInstance,
|  | XnCallbackHandle | hCallback )

Unregisters a callback function which was registered using xnRegisterToMirrorChange().

Parameters

  hInstance | [in] A handle to the instance.
  hCallback | [in] The handle to the callback returned from xnRegisterToMirrorChange().